public static final class AttachLoadBalancersRequest.Builder extends Object
| 限定符和类型 | 方法和说明 |
|---|---|
AttachLoadBalancersRequest.Builder |
async(Boolean async)
Specifies whether to attach the CLB instance to the scaling group in an asynchronous manner.
|
AttachLoadBalancersRequest |
build() |
AttachLoadBalancersRequest.Builder |
clientToken(String clientToken)
The client token that is used to ensure the idempotence of the request.
|
AttachLoadBalancersRequest.Builder |
forceAttach(Boolean forceAttach)
Specifies whether to add the existing instances in the scaling group as backend servers of the load balancer.
|
AttachLoadBalancersRequest.Builder |
loadBalancerConfigs(List<AttachLoadBalancersRequest.LoadBalancerConfigs> loadBalancerConfigs)
The configurations of the classic load balancer (CLB, formerly known as SLB) instance.
|
AttachLoadBalancersRequest.Builder |
loadBalancers(List<String> loadBalancers)
The IDs of the load balancers that you want to attach to the scaling group.
|
AttachLoadBalancersRequest.Builder |
ownerId(Long ownerId)
OwnerId.
|
AttachLoadBalancersRequest.Builder |
resourceOwnerAccount(String resourceOwnerAccount)
ResourceOwnerAccount.
|
AttachLoadBalancersRequest.Builder |
scalingGroupId(String scalingGroupId)
The ID of the scaling group.
|
public AttachLoadBalancersRequest.Builder async(Boolean async)
* true: attaches the CLB instance to the scaling group in an asynchronous manner. In this case, the ID of the scaling activity is returned. * false: does not attach the CLB instance to the scaling group in an asynchronous manner. Default value: false.
public AttachLoadBalancersRequest.Builder clientToken(String clientToken)
You can use the client to generate the token, but you must make sure that the token is unique among different requests. The token can contain only ASCII characters and cannot exceed 64 characters in length. For more information, see [Ensure idempotence](~~25965~~).
public AttachLoadBalancersRequest.Builder forceAttach(Boolean forceAttach)
* true: If you set this parameter to `true`, the attachment of the load balancer entails the addition of the existing instances in the scaling group to the backend server groups of the load balancer. ** **Note** If a load balancer is currently attached to your scaling group, and you want to add the instances in your scaling group to the backend server groups of the load balancer, you can call this operation again and set the ForceAttach request parameter to true. * false: If you set this parameter to false, the attachment of the load balancer does not entail the addition of the existing instances in the scaling group to the backend server groups of the load balancer. Default value: false.
public AttachLoadBalancersRequest.Builder loadBalancerConfigs(List<AttachLoadBalancersRequest.LoadBalancerConfigs> loadBalancerConfigs)
public AttachLoadBalancersRequest.Builder loadBalancers(List<String> loadBalancers)
public AttachLoadBalancersRequest.Builder ownerId(Long ownerId)
public AttachLoadBalancersRequest.Builder resourceOwnerAccount(String resourceOwnerAccount)
public AttachLoadBalancersRequest.Builder scalingGroupId(String scalingGroupId)
public AttachLoadBalancersRequest build()
Copyright © 2024. All rights reserved.